* {
    padding: 0;
    margin: 0;
    /* align-items: center; */
    box-sizing: border-box;
}

:root {
    --green: #53B175;
}

body {
    min-width: 320px;
    font-family: Quicksand;
}


a {
    text-decoration: none;
    color: black;
}

li {
    list-style-type: none;
}

.wishlistAlert {
    position: fixed;
    top: 77px;
    right: 10px;
    width: 30%;
    font-family: Quicksand;
    font-size: 14px;
    font-weight: 900;
}

.shareitem {
    font-size: 14px;
    margin: 0px;
    font-weight: 400;
    font-family: 'Poppins';
}

.social_icons {
    margin-left: 5px;
}

.wishlist_main_container {
    margin-top: 100px;
}

.wishlist_main_heading {
    text-align: center;
    font-size: 32px;
    font-weight: 600;
    font-family: poppins;
    color: #1A1A1A;
    margin-bottom: 50px;
}

.wishlist_table {
    border: 1px solid #E6E6E6;
    border-radius: 5px;
    padding: 5px;
}

.main_table_heading {
    font-size: 18px;
    color: #9797A6 !important;
    font-weight: 500;
    font-family: poppins;
}

.ProductImageBoxWishlist {
    text-align: center;
    width: 20%;
}

.product_img_name {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 65%;
}

.product_name {
    font-size: 16px;
    font-weight: 400;
    color: #1A1A1A;
    font-family: poppins;
    margin: 0px;
}

.product_image {
    width: 80%;
    margin: auto;
}

.price_bar {
    font-size: 16px;
    font-weight: 500;
    margin-top: 32px;
    font-family: poppins;
}

.instock_badge {
    background-color: #b7ebb9;
    color: #2C742F;
    font-weight: 400;
    padding: 4px 8px;
    font-size: 14px;
    font-family: poppins;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.add_to_cart_badge {
    padding: 11px 30px;
    border-radius: 12px;
    border:1px;
    color: white;
    background-color: var(--green);
    font-size: 14px;
    font-weight: 600;
    font-family: poppins;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}
.remove_from_cart {
    background-color: rgba(234, 75, 72, 0.1);
    color: #EA4B48;
}

.cross_button_wishlist {
    border-radius: 50%;
    border: 1px solid rgb(223, 223, 223);
    width: 24px;
    height: 24px;
    text-align: center;
    display: flex;
    justify-content: center;
    cursor: pointer;
    transition: 0.3s;

   
}
.cross_button_wishlist:hover {
background-color: #53B175;
color:white;
}

.stock_status_box {
    margin-top: 20px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 19px;
}

@media screen and (max-width:500px) {
    .remove_from_cart {
        background-color: rgba(234, 75, 72, 0.1) !important;
        color: #EA4B48 !important;
    }
    .product_img_name {
        display: flex;
        align-items: center;
        justify-content: flex-start;
        width: 100%;
    }
    .ProductImageBoxWishlist {
        text-align: start;
        width: 30%;
    }
    .wishlist_main_container {
        margin-top: 35px !important;
    }

    .add_to_cart_badge {
        padding: 6px 20px;
        border-radius: 12px;
        color: white;
        font-size: 12px;
        background-color: #00B207;
    }

    .stock_status_box {
        flex-direction: column;
        margin-top: 0px !important;
        gap: 6px !important;
    }

    .main_table_heading {
        font-size: 10px !important;
    }

    .product_name {
        font-size: 10px !important;
    }

    .ProductImageBoxWishlist {
        text-align: start;
    }

    .product_image {
        width: 100% !important;
    }

    .price_bar {
        font-size: 10px !important;
        margin-top: 30px !important;
    }

    .add_to_cart_badge {
        font-size: 7px !important;
    }

    .instock_badge {
        font-size: 7px !important;
    }

    .cross_button_wishlist {
        width: 13px !important;
        height: 13px !important;
    }
}

@media screen and (min-width:501px) and (max-width:991px) {
    .wishlist_main_container {
        margin-top: 35px !important;
    }

    .add_to_cart_badge {
        padding: 6px 20px;
        border-radius: 12px;
        color: white;
        font-size: 12px;
        background-color: #00B207;
    }

    .stock_status_box {
        flex-direction: column;
        margin-top: 0px !important;
        gap: 6px !important;
    }

    .main_table_heading {
        font-size: 10px !important;
    }

    .product_name {
        font-size: 10px !important;
    }

    .ProductImageBoxWishlist {
        text-align: start;
    }

    .product_image {
        width: 100% !important;
    }

    .price_bar {
        font-size: 10px !important;
        margin-top: 22px !important;
    }

    .add_to_cart_badge {
        font-size: 7px !important;
    }

    .instock_badge {
        font-size: 9px !important;
    }

    .cross_button_wishlist {
        width: 13px !important;
        height: 13px !important;
    }
}


.wishlist_badge_counter, .wishlist_badge_mobile{
    width: 5px;
    height: 5px;
    font-size: 9px;
    top: 3px;
    right: -3px;
    align-items: center;
    display: flex;
    color: white;
    justify-content: center;
    background-color: var(--green);
    border-radius: 50%;
    padding: 7px;  
}

.wishlist_badge_mobile{
    top: 15px;
    right: -15px;
}